serverSelectorThreads=3
brokerRole=ASYNC_MASTER
serverSocketRcvBufSize=131072
writeBufferHighWaterMark=0
osPageCacheBusyTimeOutMills=1000
shortPollingTimeMills=1000
clientSocketRcvBufSize=131072
clusterTopicEnable=true
brokerTopicEnable=true
autoCreateTopicEnable=true
maxErrorRateOfBloomFilter=20
maxMsgsNumBatch=64
cleanResourceInterval=10000
commercialBaseCount=1
enableScheduleAsyncDeliver=false
maxTransferCountOnMessageInMemory=32
brokerFastFailureEnable=true
brokerClusterName=rocketmq-cluster
flushDiskType=ASYNC_FLUSH
mapedFileSizeCommitLog=1073741824
commercialBigCount=1
mappedFileSizeConsumeQueue=6000000
consumerFallbehindThreshold=17179869184
autoCreateSubscriptionGroup=true
transientStorePoolEnable=false
flushConsumerOffsetInterval=5000
waitTimeMillsInHeartbeatQueue=31000
diskMaxUsedSpaceRatio=99
flushCommitLogLeastPages=4
cleanFileForciblyEnable=true
slaveReadEnable=false
msgTraceTopicName=RMQ_SYS_TRACE_TOPIC
expectConsumerNumUseFilter=32
enableDetailStat=true
traceTopicEnable=false
useEpollNativeSelector=false
enablePropertyFilter=false
messageDelayLevel=1s 5s 10s 30s 1m 2m 3m 4m 5m 6m 7m 8m 9m 10m 20m 30m 1h 2h
deleteCommitLogFilesInterval=100
brokerName=broker-c
maxTransferBytesOnMessageInDisk=65536
mapedFileSizeConsumeQueue=300000
listenPort=10911
flushConsumeQueueLeastPages=2
pullMessageThreadPoolNums=24
useReentrantLockWhenPutMessage=false
flushIntervalConsumeQueue=1000
sendThreadPoolQueueCapacity=10000
debugLockEnable=false
messageIndexEnable=true
haHousekeepingInterval=20000
diskFallRecorded=true
enableScheduleMessageStats=true
clientAsyncSemaphoreValue=65535
clientCallbackExecutorThreads=4
putMsgIndexHightWater=600000
sendMessageThreadPoolNums=1
clientManagerThreadPoolQueueCapacity=1000000
serverSocketSndBufSize=131072
maxDelayTime=40
clientSocketSndBufSize=131072
namesrvAddr=127.0.0.1:9876
commercialEnable=true
maxHashSlotNum=5000000
serverSocketBacklog=1024
heartbeatThreadPoolNums=4
transactionTimeOut=6000
maxMessageSize=65536
adminBrokerThreadPoolNums=16
defaultQueryMaxNum=32
maxTransferBytesOnMessageInMemory=262144
forceRegister=true
isolateLogEnable=false
enableConsumeQueueExt=false
longPollingEnable=true
serverWorkerThreads=8
messageIndexSafe=false
deleteConsumeQueueFilesInterval=100
haSlaveFallbehindMax=268435456
serverCallbackExecutorThreads=0
flushCommitLogThoroughInterval=10000
storeCheckpoint=/midware/rocketmq-all-4.9.7/store/checkpoint
isEnableBatchPush=false
commercialTimerCount=1
enableDLegerCommitLog=false
slaveTimeout=3000
useTLS=false
redeleteHangedFileInterval=120000
flushIntervalCommitLog=500
rocketmqHome=/midware/rocketmq-all-4.9.7
queryMessageThreadPoolNums=12
messageStorePlugIn=
serverChannelMaxIdleTimeSeconds=120
maxIndexNum=20000000
filterDataCleanTimeSpan=86400000
filterServerNums=1
commitCommitLogLeastPages=4
waitTimeMillsInPullQueue=5000
haSendHeartbeatInterval=5000
processReplyMessageThreadPoolNums=24
clientChannelMaxIdleTimeSeconds=120
filterSupportRetry=false
flushDelayOffsetInterval=10000
duplicationEnable=false
replyThreadPoolQueueCapacity=10000
writeBufferLowWaterMark=0
offsetCheckInSlave=false
clientCloseSocketIfTimeout=false
transientStorePoolSize=5
putThreadPoolQueueCapacity=10000
waitTimeMillsInSendQueue=200
warmMapedFileEnable=false
flushCommitLogTimed=false
endTransactionThreadPoolNums=16
flushLeastPagesWhenWarmMapedFile=4096
clientWorkerThreads=4
storePathConsumeQueue=/midware/rocketmq-all-4.9.7/store/broker-c/consumequeue
endTransactionPoolQueueCapacity=100000
registerNameServerPeriod=30000
registerBrokerTimeoutMills=6000
scheduleAsyncDeliverMaxResendNum2Blocked=3
accessMessageInMemoryMaxRatio=40
enableLmq=false
highSpeedMode=false
transactionCheckMax=15
maxLmqConsumeQueueNum=20000
checkCRCOnRecover=true
destroyMapedFileIntervalForcibly=120000
brokerIP1=172.25.85.250
commitIntervalCommitLog=200
clientOnewaySemaphoreValue=65535
storeReplyMessageEnable=true
traceOn=true
clientManageThreadPoolNums=32
putMessageFutureThreadPoolNums=4
channelNotActiveInterval=60000
mappedFileSizeConsumeQueueExt=50331648
consumerManagerThreadPoolQueueCapacity=1000000
serverOnewaySemaphoreValue=256
haListenPort=10912
enableCalcFilterBitMap=false
clientPooledByteBufAllocatorEnable=false
aclEnable=false
storePathRootDir=/midware/rocketmq-all-4.9.7/store/broker-c
syncFlushTimeout=5000
rejectTransactionMessage=false
commitCommitLogThoroughInterval=200
connectTimeoutMillis=3000
queryThreadPoolQueueCapacity=20000
regionId=DefaultRegion
consumerManageThreadPoolNums=32
disableConsumeIfConsumerReadSlowly=false
flushConsumerOffsetHistoryInterval=60000
fetchNamesrvAddrByAddressServer=false
haTransferBatchSize=32768
compressedRegister=false
storePathCommitLog=/midware/rocketmq-all-4.9.7/store/broker-c/commitlog
commercialTransCount=1
transactionCheckInterval=60000
mappedFileSizeCommitLog=1073741824
startAcceptSendRequestTimeStamp=0
serverPooledByteBufAllocatorEnable=true
serverAsyncSemaphoreValue=64
scheduleAsyncDeliverMaxPendingLimit=2000
autoDeleteUnusedStats=false
waitTimeMillsInTransactionQueue=3000
heartbeatThreadPoolQueueCapacity=50000
deleteWhen=13
abortFile=/midware/rocketmq-all-4.9.7/store/abort
bitMapLengthConsumeQueueExt=112
fastFailIfNoBufferInStorePool=false
enableMultiDispatch=false
defaultTopicQueueNums=4
flushConsumeQueueThoroughInterval=60000
notifyConsumerIdsChangedEnable=true
fileReservedTime=1
brokerPermission=6
storePathIndex=/midware/rocketmq-all-4.9.7/store/broker-c/index
transferMsgByHeap=true
pullThreadPoolQueueCapacity=100000
brokerId=0
maxTransferCountOnMessageInDisk=8
